﻿<li>
    <label For="@Id">@Label</label>
    <button id="@Id" @onclick="ClickHandle">
        <span class="fab-item-icon" name="@($"fa-{Icon}")" />
    </button>
</li>

@code {

    [Parameter]
    public EventCallback Clicked { get; set; }

    [Parameter]
    public string Label { get; set; }

    [Parameter]
    public string Icon { get; set; }

    [CascadingParameter( Name = "Fab" )]
    protected Fab Fab { get; set; }

    private string Id = Guid.NewGuid( ).ToString( ).Substring( 0, 4 );

    private void ClickHandle( ) {
        Fab.ToogleFab( );
        Clicked.InvokeAsync( null );
        StateHasChanged( );
    }
}